IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[TAMSAYIMI]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION  [dbo].[TAMSAYIMI]
GO

CREATE FUNCTION [dbo].[TAMSAYIMI]
(
@number FLOAT
)
RETURNS BIT
AS
BEGIN

  
    IF @number - FLOOR(@number) =0
	   RETURN 1
	ELSE
		RETURN 0

		RETURN 0
  
  /*

  select DBO.ISINT((8*1.0/2))  AS AA
  IF (8*1.0/2 - FLOOR(8*1.0/2))=0
SELECT 1111
ELSE 
SELECT 2222*/

END

GO


